
QGIS Application - Bug report #20467

update sql layer

2018-11-12 03:42 PM - julio cesar dos santos

Status: Closed

Priority: Normal

Assignee:

Category: DB Manager

Affected QGIS version:3.4.1 Regression?: No

Operating System: windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 28287

Description

I get this error when I try to update a sql layer

WARNING    Traceback (most recent call last):

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\db_manager\db_manager_plugin.py", line 96, in

onUpdateSqlLayer

              self.dlg.runSqlLayerWindow(l)

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\db_manager\db_manager.py", line 207, in

runSqlLayerWindow

              query = DlgSqlLayerWindow(self.iface, layer, self)

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\db_manager\dlg_sql_layer_window.py", line 167, in init

              self.executeSql()

              File "C:/PROGRA~1/QGIS3~1.4/apps/qgis/./python/plugins\db_manager\dlg_sql_layer_window.py", line 262, in

executeSql

              self.lblResult.setText(self.tr("{0} rows, {1:.3f} seconds").format(model.affectedRows(), model.secs()))

             ValueError: Single '}' encountered in format string

Related issues:

Related to QGIS Application - Bug report # 20227: dbmanager time execution qu... Closed 2018-10-26

Duplicates QGIS Application - Bug report # 19833: Stack trace when viewing a ... Closed 2018-09-12

History

#1 - 2018-11-12 05:55 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Easy fix? changed from Yes to No

Worked as expected in a previous qgis release?

#2 - 2018-11-12 07:30 PM - Nyall Dawson

This is caused by an incorrectly translated string. What locale are you using?

#3 - 2018-11-12 09:10 PM - Mirko Blinn

I have the same crash, uf I using the Geometry Checker Plugin, The Plugin  crashed after gnerating the new layer for checked feature. I  can post

screenshots tomorrow morning.

It's work in 3.0 and 3.2
#4 - 2018-11-16 02:32 PM - Christophe Damour

In QGIS 3.4.1, french translation file contains an incorrect translation string in context DlgSqlWindow.

English string :{0} rows, {1:.3f} seconds

French string :{0} enregistrements, {1:.1f} secondes {0}?} {1:.3f?}

QGIS 2.18 looks ok :

English string :

%d rows, %.1f seconds

French string :

%d lignes, %.1f secondes

#5 - 2018-11-16 04:18 PM - Giovanni Manghi

So this is just a translation issue (QGIS in EN not affected?).

#6 - 2018-11-16 08:53 PM - Christophe Damour

I didn't test in english but I believe so.

#7 - 2018-11-16 09:23 PM - Harrissou Santanna

- Related to Bug report #20227: dbmanager time execution query python error added

#8 - 2018-11-17 11:04 AM - Jürgen Fischer

- Duplicates Bug report #19833: Stack trace when viewing a versioned table in DB Manager added

#9 - 2018-11-17 11:04 AM - Jürgen Fischer

- Resolution set to duplicate

- Status changed from Feedback to Closed
